#ifndef CONTROLVOLUMEMANUAL_H
#define CONTROLVOLUMEMANUAL_H

#include <QWidget>
#include <wDevicesManager/ledcard.h>
#include <communication/hpptclient.h>
#include <LoUIClass/loemptydialog.h>
namespace Ui {
class ControlVolumeManual;
}

class ControlVolumeManual : public QWidget
{
    Q_OBJECT

public:
    explicit ControlVolumeManual(QWidget *parent = nullptr,QList<LedCard *> *m_pLedlist=nullptr);
    ~ControlVolumeManual();
protected slots:
    void OnReadback();
    void refreshLable();

private:
    Ui::ControlVolumeManual *ui;
    //类似的控制操作信号和槽函数和变量定义
    signals:
        void sigSend(QJsonObject &,QString);
    protected slots:
        void DeletePostingDlg();
        void OnProHttpResponse(QString url, QString postMD5, QByteArray data);
        void OnProHttpResponseAll(QString url, QString postMD5, QByteArray data);
        void onSelectedDeviceList(QList<LedCard*> *);
        void onReadbackAllThisPage();
        void OnControlTypeSwitchIndexChanged(int index);
        void setVolumeValue();
    private:
        QList<LedCard *> *m_pLedlist=nullptr;
        LedCard   *m_pLedCard = nullptr;
        LedCard   *m_oldLedlist = nullptr;
        HpptClient *pHpptClient = nullptr;
        HpptClient *pHpptClientAll = nullptr;
        QString m_strUrl="";
        LoEmptyDialog * m_PostingDlg=nullptr;
        QTimer *m_pGetAskTimer=nullptr;
        bool m_bSelected=false;
};

#endif // CONTROLVOLUMEMANUAL_H
